%define major 28
%define sslmajor 27
%define xsslmajor 0
%define libname %mklibname %{name} %{major}
%define libssl %mklibname %{name}-ssl %{sslmajor}
%define libxssl %mklibname %{name}-xssl %{xsslmajor}
%define libname_orig lib%{name}
%define develname %mklibname %{name} -d
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Library providing a secure layer (SSL)
Name:		gnutls
Version:	3.2.21
Release:	%mkrel 1
License:	LGPLv2+
Group:		Security
URL:		http://www.gnutls.org
Source0:	ftp://ftp.gnutls.org/gcrypt/gnutls/v%{url_ver}/%{name}-%{version}.tar.xz
#----------------------------------------------
BuildRequires:	liblzo-devel
BuildRequires:	nettle-devel
BuildRequires:	libtasn1-devel
BuildRequires:	p11-kit-devel
BuildRequires:  opencdk-devel
BuildRequires: %{_lib}gmp-devel
BuildRequires: %{_lib}idn-devel
BuildRequires: %{_lib}nettle-devel
BuildRequires:	texinfo
#---------------------------------------------
Requires:	%{libname} = %{version}

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%package -n %{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n %{libssl}
Summary:        Library providing a secure layer (SSL)
Group:          System/Libraries
Requires:	%{libname} = %{version}

%description -n %{libssl}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libssl} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--with-included-libtasn1=no \
	--with-libz-prefix=%{_prefix} \
	--with-packager="pclinuxos" \
	--with-packager-version="2014" \
	--with-packager-bug-reports="https://pclinuxos.com" \
	--disable-gtk-doc-html \
	--disable-rpath \
	--disable-guile

%make


%install
rm -rf  %{buildroot}
%makeinstall_std

%{find_lang} %{name} %{name} libgnutls

rm -f %{buildroot}%{_libdir}/*.la

%post
%_install_info gnutls.info

%postun
%_remove_install_info gnutls.info

%files -f %{name}.lang 
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/[cgs]*
%{_bindir}/danetool
%{_bindir}/psktool
%{_bindir}/p11tool
%{_bindir}/ocsptool
%{_mandir}/man?/*
%{_infodir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{libssl}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{sslmajor}*
%{_libdir}/lib*.so.%{xsslmajor}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnutls

%clean
rm -rf %{buildroot}

%changelog
* Sun Jan 25 2015 bb <bb> 3.2.21-1pclos2015
- update

* Thu Nov 13 2014 bb <bb> 3.2.20-1pclos2014
- update

* Wed Sep 03 2014 bb <bb> 3.2.17-1pclos2014
- update
